## org.eclipse.datatools.sqltools.sqlbuilder.views
Class BaseWindow

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.datatools.sqltools.sqlbuilder.views.BaseWindow

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.swt.widgets.Listener

Direct Known Subclasses:
  FullSelectViewer, ValuesRowViewer, ValuesViewer, WithStatementViewer, WithTableViewer

    public abstract class BaseWindow

extends org.eclipse.jface.viewers.Viewer
implements org.eclipse.swt.widgets.Listener

Constructor Summary
`BaseWindow(SQLDomainModel domain)`

Method Summary
`org.eclipse.swt.widgets.Control` `getControl()` Framework override
`SQLDomainModel` `getDomainModel()`
`java.lang.Object` `getInput()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `refresh()`
`void` `setInput(java.lang.Object input)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.swt.widgets.Listener
`handleEvent`

Constructor Detail

### BaseWindow

    public BaseWindow(SQLDomainModel domain)

Method Detail

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Framework override

  Specified by:
    `getControl` in class `org.eclipse.jface.viewers.Viewer`

### getDomainModel

    public SQLDomainModel getDomainModel()

### getInput

    public java.lang.Object getInput()

  Specified by:
    `getInput` in interface `org.eclipse.jface.viewers.IInputProvider`
  Specified by:
    `getInput` in class `org.eclipse.jface.viewers.Viewer`

### setInput

    public void setInput(java.lang.Object input)

  Specified by:
    `setInput` in class `org.eclipse.jface.viewers.Viewer`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Specified by:
    `getSelection` in class `org.eclipse.jface.viewers.Viewer`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

  Specified by:
    `setSelection` in class `org.eclipse.jface.viewers.Viewer`

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `org.eclipse.jface.viewers.Viewer`